bin_mdef_s Struct Reference

## Public Types

enum | { BIN_MDEF_FROM_TEXT , BIN_MDEF_IN_MEMORY , BIN_MDEF_ON_DISK }
| Allocation mode for this object. More...

## Data Fields

int | refcnt
int32 | n_ciphone
| Number of base (CI) phones.
int32 | n_phone
| Number of base (CI) phones + (CD) triphones.
int32 | n_emit_state
| Number of emitting states per phone (0 for heterogeneous)
int32 | n_ci_sen
| Number of CI senones; these are the first.
int32 | n_sen
| Number of senones (CI+CD)
int32 | n_tmat
| Number of transition matrices.
int32 | n_sseq
| Number of unique senone sequences.
int32 | n_ctx
| Number of phones of context.
int32 | n_cd_tree
| Number of nodes in cd_tree (below)
int16 | sil
| CI phone ID for silence.
mmio_file_t * | filemap
| File map for this file (if any)
char ** | ciname
| CI phone names.
cd_tree_t * | cd_tree
| Tree mapping CD phones to phone IDs.
mdef_entry_t * | phone
| All phone structures.
uint16 ** | sseq
| Unique senone sequences (2D array built at load time)
uint8 * | sseq_len
| Number of states in each sseq (NULL for homogeneous)
int16 * | cd2cisen
| Parent CI-senone id for each senone.
int16 * | sen2cimap
| Parent CI-phone for each senone (CI or CD)
enum bin_mdef_s:: { ... } | alloc_mode
| Allocation mode for this object.

## Detailed Description

Definition at line 117 of file bin_mdef.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Allocation mode for this object.

Definition at line 142 of file bin_mdef.h.

## Field Documentation

## cd2cisen

int16* bin_mdef_s::cd2cisen

Parent CI-senone id for each senone.

Definition at line 138 of file bin_mdef.h.

Referenced by bin_mdef_free(), bin_mdef_read(), and bin_mdef_read_text().

## cd_tree

cd_tree_t* bin_mdef_s::cd_tree

Tree mapping CD phones to phone IDs.

Definition at line 132 of file bin_mdef.h.

Referenced by bin_mdef_free(), bin_mdef_phone_id(), bin_mdef_read(), bin_mdef_read_text(), and bin_mdef_write().

## ciname

char** bin_mdef_s::ciname

CI phone names.

Definition at line 131 of file bin_mdef.h.

Referenced by bin_mdef_ciphone_id(), bin_mdef_ciphone_id_nocase(), bin_mdef_ciphone_str(), bin_mdef_free(), bin_mdef_phone_id(), bin_mdef_read(), bin_mdef_read_text(), bin_mdef_write(), and bin_mdef_write_text().

## filemap

mmio_file_t* bin_mdef_s::filemap

File map for this file (if any)

Definition at line 130 of file bin_mdef.h.

Referenced by bin_mdef_free(), and bin_mdef_read().

## n_cd_tree

int32 bin_mdef_s::n_cd_tree

Number of nodes in cd_tree (below)

Definition at line 127 of file bin_mdef.h.

Referenced by bin_mdef_read(), bin_mdef_read_text(), and bin_mdef_write().

## n_ci_sen

int32 bin_mdef_s::n_ci_sen

Number of CI senones; these are the first.

Definition at line 122 of file bin_mdef.h.

Referenced by bin_mdef_read(), bin_mdef_read_text(), bin_mdef_write(), and bin_mdef_write_text().

## n_ciphone

int32 bin_mdef_s::n_ciphone

Number of base (CI) phones.

Definition at line 119 of file bin_mdef.h.

Referenced by bin_mdef_ciphone_id(), bin_mdef_ciphone_id_nocase(), bin_mdef_read(), bin_mdef_read_text(), bin_mdef_write(), bin_mdef_write_text(), dict2pid_add_word(), and dict2pid_build().

## n_ctx

int32 bin_mdef_s::n_ctx

Number of phones of context.

Definition at line 126 of file bin_mdef.h.

Referenced by bin_mdef_read(), bin_mdef_read_text(), and bin_mdef_write().

## n_emit_state

int32 bin_mdef_s::n_emit_state

Number of emitting states per phone (0 for heterogeneous)

Definition at line 121 of file bin_mdef.h.

Referenced by bin_mdef_read(), bin_mdef_read_text(), bin_mdef_write(), and bin_mdef_write_text().

## n_phone

int32 bin_mdef_s::n_phone

Number of base (CI) phones + (CD) triphones.

Definition at line 120 of file bin_mdef.h.

Referenced by bin_mdef_read(), bin_mdef_read_text(), bin_mdef_write(), and bin_mdef_write_text().

## n_sen

int32 bin_mdef_s::n_sen

Number of senones (CI+CD)

Definition at line 123 of file bin_mdef.h.

Referenced by bin_mdef_read(), bin_mdef_read_text(), bin_mdef_write(), and bin_mdef_write_text().

## n_sseq

int32 bin_mdef_s::n_sseq

Number of unique senone sequences.

Definition at line 125 of file bin_mdef.h.

Referenced by bin_mdef_read(), bin_mdef_read_text(), bin_mdef_write(), and dict2pid_dump().

## n_tmat

int32 bin_mdef_s::n_tmat

Number of transition matrices.

Definition at line 124 of file bin_mdef.h.

Referenced by bin_mdef_read(), bin_mdef_read_text(), bin_mdef_write(), and bin_mdef_write_text().

## phone

mdef_entry_t* bin_mdef_s::phone

All phone structures.

Definition at line 133 of file bin_mdef.h.

Referenced by bin_mdef_free(), bin_mdef_phone_id(), bin_mdef_phone_str(), bin_mdef_read(), bin_mdef_read_text(), bin_mdef_write(), and bin_mdef_write_text().

## refcnt

int bin_mdef_s::refcnt

Definition at line 118 of file bin_mdef.h.

## sen2cimap

int16* bin_mdef_s::sen2cimap

Parent CI-phone for each senone (CI or CD)

Definition at line 139 of file bin_mdef.h.

Referenced by bin_mdef_free(), bin_mdef_read(), and bin_mdef_read_text().

## sil

int16 bin_mdef_s::sil

CI phone ID for silence.

Definition at line 128 of file bin_mdef.h.

Referenced by bin_mdef_phone_id(), bin_mdef_read(), bin_mdef_read_text(), and bin_mdef_write().

## sseq

uint16** bin_mdef_s::sseq

Unique senone sequences (2D array built at load time)

Definition at line 134 of file bin_mdef.h.

Referenced by bin_mdef_free(), bin_mdef_read(), bin_mdef_read_text(), bin_mdef_write(), bin_mdef_write_text(), dict2pid_dump(), and ngram_search_init().

## sseq_len

uint8* bin_mdef_s::sseq_len

Number of states in each sseq (NULL for homogeneous)

Definition at line 135 of file bin_mdef.h.

Referenced by bin_mdef_read(), bin_mdef_write(), and bin_mdef_write_text().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/bin_mdef.h